## org.codehaus.groovy.tools
Class StringHelper

Field Summary
`char` | `DOUBLE_QUOTE`
`char` | `SINGLE_QUOTE`
`char` | `SPACE`

Constructor Summary
`StringHelper()`

Method Summary
`static int` | `scanQuoted(String s, int pos0, char quote)`
`static int` | `scanToken(String s, int pos0)`
`static int` | `skipWhitespace(String s, int pos0)`
`static def` | `tokenizeUnquoted(String s)` This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "".

Constructor Detail

### StringHelper

    StringHelper()

Method Detail

### scanQuoted

    static int scanQuoted(String s, int pos0, char quote)

### scanToken

    static int scanToken(String s, int pos0)

### skipWhitespace

    static int skipWhitespace(String s, int pos0)

### tokenizeUnquoted

    public static def tokenizeUnquoted(String s)

  This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "". The method does allows the usage of "" in '' and '' in "". The space character between tokens is not returned.
  param:
    s the string to tokenize
  return:
    the tokens